# Analyse

Cette section explique l'écran d'analyse et la manière dont les informations sont affichées.

## Description

L'écran d'analyse montre à l'utilisateur un récapitulatif de sa consommation du dernier mois. 

Il lui permet de comparer sa consommation avec le mois précédent et également avec une consommation moyenne basée sur son profil s'il l'a complété.

### Graphique

Sur le côté gauche, l'utilisateur peut voir sa consommation pour les fluides connectés. Sur le côté droit, il y a par défaut la consommation du profil par défaut jusqu'à ce que l'utilisateur complète le sien. Une fois cela fait, la comparaison est beaucoup plus précise.

De plus, lorsque l'utilisateur a la possibilité de basculer la comparaison avec le profil moyen ou le profil idéal. Pour l'instant, le profil idéal représente simplement la consommation du profil moyen moins 10%.

Chaque ligne du graphique est gérée par le composant **AnalysisConsumptionRow**. Il affiche la consommation pour un fluide donné, dessine une barre de taille en comparaison avec le total et applique le coefficient idéal de 10% lorsque l'utilisateur clique sur sa consommation idéale.

Notez que seuls les consommations liées à un fluide connecté sont prises en compte pour le calcul du prix total de la consommation idéale ou moyenne, même si les indicateurs de consommation sont affichés pour les fluides non connectés. (un indicateur est donné à l'utilisateur, en considérant qu'il peut utiliser ce fluide mais n'a pas de dispositif connecté).

### Calcul

Le **service de consommation** nous permet d'obtenir la consommation de l'utilisateur sur le mois donné, et le **service d'indicateur de performance** nous permet d'obtenir l'indicateur comparatif entre le mois actuellement affiché et le précédent.

Afin d'obtenir une estimation précise de la consommation, nous utilisons le _fluidForecast_ stocké dans le profil de l'utilisateur. Vous pouvez en voir plus à ce sujet dans la section suivante : : [ProfileType](./profile_type.md)

### Navigation

Les utilisateurs ont la possibilité de naviguer entre l'analyse actuelle et précédente, mois par mois, en utilisant le **DateNavigator** en haut de l'écran. Il n'est pas possible de naviguer après la dernière analyse (qui est fixée au mois suivant + 3 jours afin d'avoir un mois avec des données complètes). Par exemple, le 3 juin, un utilisateur pourra voir son analyse de Mai.

Les utilisateurs ne seront pas bloqués pour naviguer dans les dates précédentes, et s'il n'y a pas d'analyse à afficher, nous utilisons le même comportement que dans le graphique : nous affichons des tirets à la place des données.

### Notification

Chaque mois, l'utilisateur recevra une notification l'informant qu'il peut consulter sa nouvelle analyse s'il l'a activée dans la page d'option.
