# Self Data Docs

![selfdata](/img/docshome.png){: .center}

This documentation covers the technical aspects of projects developed by the Grandlyon in cooperation with [Cozy Cloud](https://cozy.io/fr/).

In order to work with a self-data environment, there are a couple of prerequisites.

## Resources

### Grandlyon resources

Don't forget to take a look at our wiki describing general development guidelines [wiki](https://forge.grandlyon.com/web-et-numerique/factory/wiki_web_num). It covers all the processes and guidelines towards developers.

### Cozy resources

Link                               | Details
---------------------------------- | --------
[Cozy docs](https://docs.cozy.io/en/) | Full technical documentation for all cozy libraries.
[Mattermost](https://mattermost.cozycloud.cc/) | Chat app for exchange between G.Lyon & Cozy.

## Contributing to the documentation

### Clone the project

To install and run the documentation on your laptop, follow the steps in the [README](https://forge.grandlyon.com/web-et-numerique/factory/llle_project/self-data-technical-doc). Then:

- Create a branch for your change
- Add documentation pages to `docs`, and supporting assets to `img`.
- Write some [markdown](https://guides.github.com/features/mastering-markdown/)
- Submit a merge request

### Click the edit button

Click the edit button at the very top, commit to a new branch and open a merge request.

![europe](/img/partners/europe.png){: .inline-center-left}
![auvergne](/img/partners/auvergne.png)
